# Het handboek van &konsole;

&Jonathan.Singer; &Jonathan.Singer.mail;
&Waldo.Bastian; &Waldo.Bastian.mail;
&Mike.McBride; &Mike.McBride.mail;

&Niels.Reedijk;&Bram.Schoenmakers;

2000
2001
2002
&Jonathan.Singer;
&FDLNotice;
2002-10-05
1.20.00

Dit document is het gebruikershandboek voor het &konsole;-programma.

&konsole; is een X-terminalemulator voor &kde;.

KDE
konsole
kdebase
commando
regel

## Inleiding tot &konsole;

### Wat is een terminal?

&UNIX;-besturingssystemen hebben van oorsprong geen grafische interface en werden bestuurd met behulp van toetsenbordcommando's - beter bekend als de commandoregel-interface (in het Engels CLI genoemd). Het &X-Window;, &kde; en andere projecten hebben sindsdien de grafische interface toegevoegd die u nu gebruikt. Het onderliggende CLI-systeem is wel degelijk aanwezig en is nog steeds de meest krachtige manier om vele taken uit te voeren.

&konsole; staat bekend als een X terminal emulator, vaak een terminal of shell genoemd. Het geeft het oorspronkelijke tekstscherm op uw bureaublad, maar dan één die naast uw grafische toepassingen draait. Windows-gebruikers zijn misschien bekend met de MS-DOS-prompt, die dezelfde functie biedt door een DOS commandoregel onder &Windows; aan te bieden. (Echter, onder &UNIX; bieden CLI's veel meer mogelijkheden en gebruiksgemak dan DOS!)

Het uitleggen van het gebruik van de &UNIX; CLI ligt buiten het doel van deze documentatie omdat dit een zeer dik boek zou opleveren. Gelukkig zijn er veel van deze boeken beschikbaar in iedere taal en verkrijgbaar in iedere goede boekhandel of bibliotheek. Er zijn ook handleidingen beschikbaar op internet. &kde; mag het leven dan wel een stuk gemakkelijker maken, maar het kan zeker geen kwaad om alsnog de commandoregel onder de knie te krijgen! U zult zien dat het leren van deze grondbeginselen uw computergebruik veel efficiënter en plezieriger maken.

### Wat maakt &konsole; zo speciaal?

&konsole;'s geavanceerde mogelijkheden bevat onder andere een eenvoudige configuratie en de mogelijkheid om meerdere terminals in een enkel venster te gebruiken en zo uw bureaublad schoon te houden.

Door middel van &konsole; kan een gebruiker:

- &Linux;-consolesessies openen

- Shell-sessies openen

- Screen-sessies openen

- Midnight Commander bestandsbeheerder-sessies openen

- Root-consolesessies openen

- Root Midnight Commander-sessies openen

Deze sessies kunnen hernoemd worden om al uw sessies te kunnen herkennen of er kunnen signalen naar gestuurd worden: (STOP, CONT, HUP, INT, TERM, KILL).

Voor meer controle over &konsole;, kan een gebruiker:

- de menu-, werk-, schuifbalk en/of de rand verbergen/weergeven

- de grootte van een &konsole;-venster, de lettertypen, kleuren- en toetsenschema's selecteren

- de locatie van de schuifbalk wijzigen of deze verbergen

Alle gekozen instellingen kunnen vastgelegd worden voor toekomstige sessies.

Voor degene met een grote interesse voor de verscheidene X-terminals, zijn er nog twee andere: xterm, het origineel, zelfs geschreven vóór X (een maand of twee) en xvt, een lichtgewicht xterm-kloon, waarop de meeste afgeleide X-terminals op gebaseerd zijn (zoals eterm).

Na 10 jaar is &konsole; de eerste herschrijving van een X-terminal. Terwijl xterm letterlijk doodgehackt is (zijn `README` begint daarom ook met de woorden Abandon All Hope, Ye Who Enter Here), biedt &konsole; een frisse start gebruik makend van de laatste technologieën en met begrip van X.

## Gebruik van &konsole;

### Opstarten

Wanneer &konsole; gestart wordt draait er een programma (een &UNIX;-shell) in het venster. Begin gewoon met typen op de prompt.

&konsole;-scherm
&konsole;-scherm

Een venster met een Tip van de dag kan tijdens het starten verschijnen. Daarin staan handige tips bij het gebruik van &konsole;. Als u deze tips niet meer wilt zien, deselecteer dan de optie Tonen tijdens starten.

### Geschiedenis

Hoewel de regels bovenaan het scherm verlaten, kunnen ze bekeken worden door de schuifbalk naar boven te bewegen, of met &Shift;Page Up (om een pagina terug te gaan), &Shift;Page Down (om een pagina verder te gaan), &Shift;Omhoog (om een regel omhoog te gaan) en &Shift;Omlaag (om een regel naar beneden te gaan) toetsen (als de "Geschiedenis" optie aan staat).

&konsole; reageert bovendien hetzelfde als een FreeBSD-console wanneer de Scroll Lock is ingedrukt. Wanneer de Scroll Lock aan staat wordt de gewone in- en uitvoer van de shell onderdrukt en kunt u gewoon scrollen door de geschiedenis met Page Up, Page down en Pijl naar boven en Pijl naar beneden.

### Shell-sessies

Als u vaak inlogt op machines op afstand of altijd dezelfde terminal-toepassingen gebruikt, dan kunt u met &konsole; de functie Sessie gebruiken samen met &kde;'s Sessie-beheer om dit geheel te automatiseren. Bijvoorbeeld: U opent vaak een SSH-sessie naar de administratie-computer voor wat algemene administratietaken. U hebt misschien de knop Nieuw op de tabblad-balk opgemerkt. Wanneer u wat langer op die knop drukt komt er een menu tevoorschijn met allerlei nieuwe sessietypes. We gaan nu eens wat nieuwe ingangen toevoegen aan dit menu.

1. Klik op het menu-item Instellingen &konsole; instellen...

2. Kies het tabblad Sessie.

3. Vul het eerste veld in met een naam. Deze naam zal worden weergegeven in het menu en zal standaard gebruikt worden in plaats van Shell wanneer u een nieuwe sessie start van dit type.

4. Voer een commando in zoals u dat ook zou doen in een nieuw-geopende shell om dat uit te voeren. Voor het eerste voorbeeld hierboven kunt u het volgende typen: ``ssh` administratie`.

5. In het onderste gedeelte van dit venster kunt u het uiterlijk van de sessie instellen. U kunt bijvoorbeeld een ander lettertype, kleurschema en $`TERM`-type voor iedere sessie instellen.

6. Druk op de knop Sessie bewaren.... Er verschijnt een dialoogvenster om een bestandsnaam op te geven.

7. Druk op OK.

U kunt nu de knop Nieuw ingedrukt houden en het nieuwe type kiezen. &konsole; opent een nieuwe shell met het resultaat van de uitgevoerde commando's. In dit voorbeeld zal dat een ssh-prompt zijn waar u uw wachtwoord dient in te vullen. Wanneer u dat invult zult u ingelogd worden op de machine administratie. U kunt deze stap ook overslaan door ssh-agent te gebruiken, maar dat is een ander verhaal. Als u bijvoorbeeld de http-logbestanden met foutmeldingen op een webserver wilt bekijken, dan kunt u een commando invoeren als ``ssh` `-f` webserver `tail` `-f` `/var/log/httpd-error.log``.

U kunt ook gewone lokale commando's opgeven. Probeer eens een sessie te maken met het commando ``tail` `-f` `/var/log/messages``. Hierbij zal de shell-sessie afgesloten worden zodra het uitgevoerde programma beëindigd wordt.

Het aardige van dit alles is dat &kde; automatisch vaak-gebruikte sessies kan starten na het inloggen. U laat daarvoor bij het afsluiten van &kde; gewoon de toepassingen open zoals u ze wil hebben. Al deze openstaande programma's zullen worden opgeslagen in uw &kde;-sessie. Wanneer u later &kde; weer opstart zullen alle openstaande toepassingen hersteld worden.

### Muisknoppen

Links

  Als u met de linkermuisknop klikt (en het programma muisacties ondersteunt), dan wordt het doorgegeven aan het programma dat uitgevoerd wordt in de emulatie. &konsole; toont een pijlcursor indien het programma de muis ondersteunt. Als dat niet het geval is wordt een I-vormige cursor weergegeven.

  Als u de linkermuisknop ingedrukt houdt en sleept over het scherm bij een programma zonder muisondersteuning, zal een gedeelte van de tekst gemarkeerd worden. Terwijl u sleept, wordt de gemarkeerde tekst omgekeerd weergegeven. Wanneer de knop losgelaten wordt, wordt de gemarkeerde tekst naar het klembord gekopiëerd. De geselecteerde tekst kan ook naar andere compatibele programma's worden gesleept en daar losgelaten worden. Klik op de geselecteerde tekst en sleep die naar de gewenste locatie. (Afhankelijk van uw &kde;-instellingen kan het zijn dat u &Ctrl; ingedrukt dient te houden tijdens het slepen).

  Gewoonlijk worden de nieuwe-regel karakters aan het eind van elke regel geselecteerd. Dit is het beste voor het kopiëren en plakken van broncode of de uitvoer van een bepaald commando. Voor gewone tekst zijn de regelafbrekingen vaak niet belangrijk. Als u liever de tekst als een stroom karakters wilt, houdt dan de &Ctrl;-toets ingedrukt bij het selecteren.

  Dubbelklik met de linkermuisknop om een woord te selecteren, klik driemaal om een hele regel te selecteren.

  Als de boven- of onderkant van het tekstgebied aangeraakt wordt tijdens het markeren, dan schuift &konsole; naar boven of beneden, om de tekst in de geschiedenisbuffer weer te geven. Het schuiven stopt wanneer de muis stopt met bewegen.

  Nadat de muis is losgelaten, laat &konsole; de tekst gemarkeerd om aan te geven dat deze tekst zich nu op het klembord bevindt. Dit wordt weer normaal zodra de inhoud van het klembord gewijzigd wordt, de tekst in het gemarkeerde gebied gewijzigd wordt of wanneer de linkermuisknop ingedrukt wordt.

  Om tekst te markeren in een programma dat een muis ondersteunt (bijvoorbeeld Midnight Commander) drukt u &Shift; in bij het klikken.

Middel

  Het indrukken van de middelste muisknop plakt de tekst die zich op dat moment op het klembord bevindt. Het ingedrukt houden van de &Ctrl;-toets terwijl u op de middelste muisknop drukt plakt de tekst en stuurt het naar &konsole;.

  Als u een muis met slechts twee knoppen heeft, zal door het tegelijk indrukken van de linker- en de rechtermuisknop de middelste muisknop van een drieknopsmuis nagebootst worden.

Rechts

  De rechtermuisknop toont een menu met de acties Menubalk tonen, Kopiëren, Plakken, Signaal versturen, Sessie losmaken (of bijvoegen), Sessie hernoemen, Bladwijzers, Instellingen en Sessie sluiten. Een Sessie-menu zal tevoorschijn komen wanneer u &Ctrl; ingedrukt houdt bij het klikken met de rechtermuisknop.

### Menubalk

De menubalk zit bovenaan het &konsole;-venster. Deze kan verborgen en getoond worden door de optie Menubalk tonen in het menu Instellingen in- of uit te schakelen. Wanneer de menubalk verborgen is, kan de optie Menubalk tonen bereikt worden door met rechter muisknop te klikken in het venster of door op &Alt;&Ctrl;M te drukken.

#### Menu Sessie

Sessie Nieuwe shell

  Opent een nieuwe sessie met een terminal shell. De toetscombinatie &Alt;&Ctrl;N kan ook worden gebruikt zoals hieronder in meer detail is beschreven.

Sessie Nieuwe &Linux;-console

  Opent een nieuwe sessie die een alleen-tekst &Linux;-systeem nabootst.

  Zie het bestand `README.linux.console` in het &konsole;-bronpakket voor gedetailleerde informatie over hoe de &Linux;-console anders is dan een typische &UNIX;-console. Als dit u niets zegt dan hoeft u zich er niet druk om te maken.

Sessie Nieuwe Midnight Commander

  Opent een nieuwe sessie met de grafische bestandsbeheerder Midnight Commander.

Sessie Nieuwe rootconsole

  Opent een nieuwe sessie met een shell-terminal als de root-gebruiker.

  Nadat u gevraagd wordt voor het root-wachtwoord, verschijnt de #-prompt, wat aangeeft dat de gebruiker werkt met root-privileges. Dit is meestal nodig voor het installeren van nieuwe software en overig systeemonderhoud. Wees voorzichtig bij het gebruiken van de rootconsole om schade te voorkomen.

Sessie Nieuwe root Midnight Commander

  Opent een nieuwe sessie met de grafische bestandsbeheerder Midnight Commander als de root-gebruiker.

  Nadat u gevraagd wordt voor het root-wachtwoord, verschijnt de # prompt, wat aangeeft dat de gebruiker werkt met root-privileges. Dit is meestal nodig voor het installeren van nieuwe software en overig systeemonderhoud. Wees voorzichtig bij het werken met root-provileges om schade te voorkomen.

Sessie Nieuwe Screen-sessie

  Opent een nieuwe sessie met de Screen virtuele terminalbeheerder. Zie ``man` `screen`` voor meer informatie.

Sessie Nieuwe shell bij bladwijzer

  Start een nieuwe terminal-shell in een map uit de Bladwijzer-lijst.

Sessie Sessie sluiten

  Sluit de huidige sessie.

Sessie Afsluiten

  Sluit &konsole; af, waarbij alle sessies en programma's die in de sessies actief zijn afgesloten worden.

U kunt ook een nieuwe sessie openen met een sneltoets. Standaard wordt de toetsencombinatie &Ctrl;&Alt;N gebruikt. U kunt ook uw eigen sneltoetsen definiëren om een nieuwe terminal-sessie te openen. De bestanden met een `*.keytab`-extensie in `$`KDEDIR`/share/apps/konsole` definiëren de sneltoetsen.

Bijvoorbeeld, als u de definitie `key F12 + Shift : newSession` toevoegt aan het actieve keytab-bestand, dan wordt een nieuwe shell geopend als u &Shift;F12 indrukt. Gebruik het menu-item Instellingen Toetsenbord om een keytab-bestand te kiezen. Het bestand `README.KeyTab` bevat meer informatie over het definiëren van snelkoppelingen.

De lijst met de beschikbare sessies kan verschillen met de lijst die hier afgebeeld staat. &konsole; herkent de geïnstalleerde programma's en past de lijst aan zodat alle beschikbare opties weergegeven worden.

Tenslotte, merk op dat de sessie-types gewijzigd en aangemaakt kunnen worden in de &kcc;-module door naar Systeem Konsole te gaan.

#### Menu Bewerken

Bewerken Kopiëren

  Kopieert de geselecteerde tekst naar het klembord.

Bewerken Plakken

  Voegt de tekst van het klembord in op de cursorpositie.

Bewerken Signaal versturen

  Signaal versturen - Stuurt het opgegeven signaal naar het shell-proces of ander proces dat gestart was wanneer de nieuwe sessie was gestart.

  Op het moment zijn de huidige signalen beschikbaar:

  STOP | om een process te stoppen
  CONT | doorgaan als het proces is gestopt
  HUP | iemand heeft de besturende terminal opgehangen, of het besturende proces is dood
  INT | onderbreking met het toetsenbord
  TERM | terminatie-signaal
  KILL | kill-signaal
  USR1 | Gebruikerssignaal 1
  USR2 | Gebruikerssignaal 2

  Meer details kunt u vinden in de systeemhandleidingen, dit kunt u opvragen door het commando ``man` `7 signal`` te geven.

Bewerken Terminal leegmaken

  Wist alle tekst van het sessievenster.

Bewerken Terminal leegmaken en resetten

  Start een nieuwe sessie in het venster.

Bewerken Zoeken in geschiedenis...

  Zoekt een woord of tekenreeks in de huidige geschiedenis. U kunt hoofdlettergevoelig zoeken, achterwaarts zoeken of gebruik maken van reguliere expressies. Druk op Bewerken... om de grafische editor van &kde; op te starten om een reguliere expressie op te stellen.

Bewerken Volgende zoeken

  Zoekt verder met de tekst waarmee u aan het zoeken bent.

Bewerken Vorige zoeken

  Zoekt terug met de tekst waarmee u aan het zoeken bent.

Bewerken Geschiedenis opslaan als...

  Slaat de huidige geschiedenis op als een tekstbestand.

Bewerken Geschiedenis wissen

  Wist de geschiedenis van de huidige sessie.

Bewerken Alle geschiedenissen wissen

  Wist de geschiedenis van alle sessies.

#### Menu Tonen

Tonen Sessie losmaken

  Open de huidige sessie in een nieuw venster. De naam van de sessie wordt weergegeven op de titelbalk van het nieuwe venster. Door het nieuwe venster te sluiten wordt de sessie weer teruggeplaatst naar de oorspronkelijke plek, of klik met de rechtermuisknop op het nieuwe venster en selecteer Sessie bijvoegen. Houd er rekening mee dat het sluiten van het hoofdvenster als gevolg heeft dat de losgemaakte sessies ook gesloten worden.

Tonen Sessie hernoemen...

  Opent een venster waar u de naam van de huidige sessie kunt wijzigen. Deze naam wordt getoond op het tabblad van de sessie. &Alt;&Ctrl;S kan hier ook voor worden gebruikt.

Tonen Speuren naar activiteit

  Geeft een teken wanneer er activiteit wordt gesignaleerd in de huidige sessie. Een brandende lamp zal verschijnen in het tabblad van die sessie. Gebruik dit als u gewaarschuwd wilt worden als er iets gebeurt terwijl u in een andere sessie bezig bent.

Tonen Speuren naar stilte

  Geeft een teken wanneer er een stilte wordt gesignaleerd van 10 seconden. Een gedoofde lamp zal verschijnen in het tabblad van die sessie. Gebruik dit als u gewaarschuwd wilt worden als er niets meer gebeurt (bijv. dat een taak beëindigd is) terwijl u in een andere sessie bezig bent.

Tonen Invoer naar alle sessies sturen

  Zendt alle invoer in deze sessie door naar alle andere sessies.Alle commando's die u invoert in deze sessie worden naar alle andere sessies gestuurd. De sessie zal een klein pictogram in zijn tabblad hebben om u te laten weten dat u voorzichtig moet zijn met wat u intypt! Zo moet u bijvoorbeeld geen ``rm` `-rf *`` typen.

Beeld Sessie naar links verplaatsen

  Verplaatst het tabblad van de huidige sessie een tab naar links.

Beeld Sessie naar rechts verplaatsen

  Verplaatst het tabblad van de huidige sessie een tabblad naar rechts.

  &Shift; Links en &Shift; Rechts kunnen ook gebruikt worden om van sessie te wisselen.

Beeld Sessie-pictogrammen...

  Onderaan het menu is een lijst van beschikbare sessies. Als u er één selecteert wordt die sessie actief.

  U kunt ook de toetsencombinaties &Shift;Links en &Shift;Rechts gebruiken om door de sessies te bladeren.

#### Menu Bladwijzers

Bladwijzers Bladwijzer toevoegen

  Voegt de huidige locatie toe aan de bladwijzer-lijst.

Bladwijzers Bladwijzers bewerken...

  Bewerkt de bladwijzer-lijst.

Bladwijzers Nieuwe bladwijzermap...

  Voegt een nieuwe map toe aan de bladwijzer-lijst.

De bladwijzer-lijst wordt weergegeven aan de onderkant van het menu. Selecteer een bladwijzer om naar die locatie te gaan.

U kunt de bladwijzerbewerker gebruiken om handmatig URL-adressen toe te voegen zoals ssh://user@host of telnet://host om een verbinding op afstand te openen.

#### Menu Instellingen

Instellingen Menubalk tonen

  Toont of verbergt de menubalk.

Instellingen Werkbalk tonen

  Toont of verbergt de werkbalk.

Instellingen Schuifbalk

  Stelt de locatie van de schuifbalk in: Verbergen, Links of Rechts.

Instellingen Volledig scherm

  Schakelt het venster tussen volledig scherm en normale grootte.

Instellingen Geluidsignaal

  Stelt de systeembel in op het &kde; Systeemnotificatie-systeem of op een visuele flits, of schakelt het uit.

Instellingen Lettertype

  Stelt het lettertype en -grootte in

  Selecteer de optie Aangepast om een combinatie van lettertype, -grootte en -stijl te kiezen. Het bestand `README.fonts` in het &konsole;-bronpakket geeft tips over welke lettertypen goed werken.

Instellingen Toetsenbord

  Kiest het gewenste toetsenbordschema.

  Al deze toetsenbordschema's komen uit `$KDEDIR/share/apps/konsole/*.keytab`. Het bestand `$KDEDIR/share/apps/konsole/README.KeyTab` beschrijft het toetstenbordschema-formaat gedetailleerder. Bewerk deze bestanden om ze aan uw wensen te laten voldoen.

Instellingen Schema

  Stelt de kleuren van de tekst en achtergrond in.

  De lijst van deze schema's komt uit `$KDEDIR/share/apps/konsole/*.schema`. Het bestand `$KDEDIR/share/apps/konsole/README.Schema` beschrijft het schemaformaat meer gedetailleerd. Bewerk deze bestanden om ze aan uw wensen te laten voldoen. U kunt ook aangepaste schema's maken in de &kcontrol;-module Systeem Konsole.

Instellingen Grootte

  Stelt de grootte van het tekstgebied in (gegeven in kolommen x rijen).

Instellingen Geschiedenis...

  Opent een dialoogvenster waarin u de geschiedenis kunt instellen. Het keuzevakje Activeren (de)activeert het opslaan van de geschiedenis zodra deze aan de bovenkant uit beeld rolt. U kunt het Aantal regels invoeren om te onthouden of u kunt de schuifknoppen gebruiken om het aantal te vermeerderen of te verminderen in stappen van 100. De knop Standaard zal de geschiedenis terugzetten op 1000 regels. Druk de op OK om uw veranderingen te bewaren of op Annuleren om de dialoog te sluiten zonder de wijzigingen op te slaan. De Help-knop zal deze handleiding openen en de tekst tonen die u nu leest.

Instellingen Instellingen opslaan

  Slaat de huidige instellingen op om als standaard te gebruiken.

Instellingen Sessieprofiel opslaan...

  Slaat de huidige set sessies op onder een zelfgekozen naam. Dit profiel kan later gebruikt worden bij het starten van &konsole; vanaf de commandoregel met de optie `--profile` gevolgd door de naam van het profiel.

Instellingen Sneltoetsen instellen...

  Past de sneltoetsen aan voor de &konsole;.

Instellingen&konsole; instellen...

  Opent de &kcc;-module en geeft u de mogelijkheid om veel overige zaken in te stellen met betrekking tot de &konsole;-interface.

#### Menu Help

F1 Help &konsole;-handboek

  Opent de inhoudsopgave van dit document.

Help Tip van de dag...

  Toont een handige tip over het gebruik van &konsole;. Selecteer de optie Tonen tijdens het starten om elke keer een tip te tonen als &konsole; wordt gestart.

Help Bug rapporteren...

  Stuurt een bug-melding of een wens voor een nieuwe functionaliteit voor &konsole;.

Help Info over Konsole...

  Informatie over de auteurs van &konsole;

Help Info over &kde;...

  Informatie over het KDE-project

### Werkbalk

De werkbalk bevindt zich onderaan het &konsole;-venster.

Hij kan verborgen en hersteld worden met de optie Werkbalk tonen in het menu Instellingen of door te klikken op het handvat aan de linkerkant van de werkbalk. De balk bevat een Nieuw-pictogram en pictogrammen voor de huidige sessies. Als u klikt op het Nieuw-pictogram wordt er een nieuwe Shell-sessie geopend.

Dubbelklikken op een tabblad van een sessie opent een dialoogvenster waarin u de sessie kunt hernoemen. De toetscombinatie &Alt;&Ctrl;S kan hier ook voor gebruikt worden.

Als u klikt op een bestaande sessie wordt deze actief.

Wanneer de werkbalk verborgen is kunnen de toetsencombinaties &Shift;Links en &Shift;Rechts gebruikt worden om tussen sessies te schakelen.

### Commandoregel-opties

Wanneer &konsole; vanaf de commandoregel gestart wordt, kunnen er enkele opties opgegeven worden om &konsole;'s gedrag te wijzigen.

`--help`

  Geeft een lijst van de beschikbare opties

`--name` `naam`

  Stelt de tekst in die in de titelbalk verschijnt

`--ls`

  Start met een login-shell-omgeving. Wat dit doet is afhankelijk van uw systeem, maar in het algemeen betekent dit dat bestanden zoals `~/.profile` of `~/.bash_profile` zullen worden ingelezen.

`-T` `venstertitel`

  Stelt de venstertitel in

`--tn` `terminal`

  Stelt de omgevingsvariabele TERM in op de opgegeven waarde. Zie ``man` `xterm`` voor meer informatie over TERM.

`--xwin`

  Genegeerd

`--noclose`

  Voorkomt dat &konsole; afsluit wanneer het commando ``exit`` gegeven wordt in de enige actieve sessie.

`--nohist`

  Schakelt het opslaan van regels die uit het venster schuiven uit

`--nomenubar`

  Start &konsole; zonder een menubalk

`--notoolbar`

  Start &konsole; zonder een werkbalk

`--noframe`

  Start &konsole; zonder een rand

`--noscrollbar`

  Start &konsole; zonder een schuifbalk

`--noxft`

  Start &konsole; zonder Xft anti-aliasing.Anti-aliasing van kleine tekens kan moeilijker te lezen zijn.

`--vt_sz` `KKxRR`

  Start een terminal-venster met KK kolommen en RR regels

`--type` `type`

  Start een sessie van het aangegeven type in plaats van de standaard shell-sessie.

`--keytab` `bestandsnaam`

  Start &konsole; aan de hand van het gegeven .keytab-bestand om uw eigen sneltoetsen in te stellen.

`--profile` `bestandsnaam`

  Start &konsole; aan de hand van een set bewaarde sessies.

`--schema` `bestandsnaam`

  Start &konsole; aan de hand van een opgegeven .schema-bestand om het uiterlijk aan te passen.

`--script` `bestandsnaam`

  Toestaan dat DCOP-commando's gebruikt kunnen worden om tekst te plakken in sessies.

`--workdir` `map`

  Openen met `map` als de huidge werkmap.

`-e` `commando`

  Voert `commando` uit in plaats van een shell.

Bijvoorbeeld:

    bash$ konsole--vt_sz 90x25 --nohist

start een &konsole;-venster met 90 kolommen en 25 rijen, zonder geschiedenis

&konsole; accepteert ook algemene &Qt;- en &kde;-opties:

`--help-qt`

  Geeft een lijst van Qt-specifieke opties

`--help-kde`

  Geeft een lijst van KDE-specifieke opties

`--help-all`

  Geeft een lijst van alle opties

`--author`

  Toont de auteursnamen

`-v,--version`

  Geeft het versienummer

`--license`

  Geeft licentie-informatie weer

## Dankbetuigingen en copyright

&konsole; wordt onderhouden door &Waldo.Bastian; &Waldo.Bastian.mail;

Het programma &konsole; Copyright © 1997-2002 &Lars.Doelle; &Lars.Doelle.mail;

Dit document is geschreven door &Jonathan.Singer; &Jonathan.Singer.mail;

Geconverteerd naar DocBook SGML door &Mike.McBride; en &Lauri.Watts;

&meld.fouten;&vertaling.niels;&vertaling.bram;&nagelezen.rinse; &underFDL; &underGPL;

## &konsole; op niet-&Linux; platformen

Informatie over het compileren van &konsole; op andere platforms dan &Linux; is beschikbaar in het bestand `README.ports` in het &konsole;-bronpakket. Het biedt een lijst van experts voor bepaalde platforms (Tru64, &Solaris;, OpenBSD) en vraagt vrijwilligers voor andere &UNIX;-platforms.

&documentation.index;